
#include <QtCore>
#include "nskwin.h"
#include <QMetaObject>
#include <KGlobalAccel>
#include <QDBusConnection>
#include "kwinutils.h"


NSKWinEffect::NSKWinEffect()
    : Effect()
{
    InitDBus();
}

NSKWinEffect::~NSKWinEffect()
{
}

void NSKWinEffect::InitDBus()
{
    utils = new KWinUtils();
    new KwinAdaptor(utils);
    QDBusConnection connect1 = QDBusConnection::sessionBus();
    if(connect1.registerService("com.kde.kwin")){
        connect1.registerObject("/nde",utils);
    }
}
