
#include "nskwin.h"


class NSKWinPluginFactory : public KWin::EffectPluginFactory
{
    Q_OBJECT
    Q_INTERFACES(KPluginFactory)
    Q_PLUGIN_METADATA(IID KPluginFactory_iid FILE "nskwin.json")

public:
    explicit NSKWinPluginFactory() {}
    ~NSKWinPluginFactory() {}

    KWin::Effect *createEffect() const override {
        return new NSKWinEffect();
    }
};

K_EXPORT_PLUGIN_VERSION(KWIN_EFFECT_API_VERSION)

#include "nskwinfactory.moc"
